org.apache.commons.jexl.context

## Class HashMapContext

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.apache.commons.jexl.context.HashMapContext

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map, JexlContext

    public class HashMapContext
    extends java.util.HashMap
    implements JexlContext

Implementation of JexlContext based on a HashMap.

Since:
  1.0
Version:
  $Id: HashMapContext.java 480412 2006-11-29 05:11:23Z bayard $
Author:
  Geir Magnusson Jr.
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`HashMapContext()`

### Method Summary

Methods
`java.util.Map` `getVars()` Retrives the Map of variables associated with this JexlContext.
`void` `setVars(java.util.Map vars)` Replaces variables in a JexlContext with the variables contained in the supplied Map.

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### HashMapContext

    public HashMapContext()

### Method Detail

#### setVars

    public void setVars(java.util.Map vars)

Replaces variables in a JexlContext with the variables contained in the supplied Map. When setVars() is called on a JexlContext, it clears the current Map and puts each entry of the supplied Map into the current variable Map.

Specified by:
  `setVars` in interface `JexlContext`
Parameters:
  `vars` - Contents of vars will be replaced with the content of this Map

#### getVars

    public java.util.Map getVars()

Retrives the Map of variables associated with this JexlContext. The keys of this map correspond to variable names referenced in a JEXL expression.

Specified by:
  `getVars` in interface `JexlContext`
Returns:
  A reference to the variable Map associated with this JexlContext.